Part Spiral/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Una 24px '''Part Spirale''' è una forma parametrica che può essere creata con il comando 24px Part Primitive . Nel sistema di coordinate definito dalla sua proprietà {{PropertyData|Placement}}, la spirale giace sul piano XY con il centro nell'origine e il punto iniziale sull'asse X. Si allarga girando in senso antiorario.")
No edit summary
Line 26: Line 26:


<span id="Usage"></span>
<span id="Usage"></span>
==Utilizzo==
== Utilizzo ==


See [[Part_Primitives#Usage|Part Primitives]].
Vedere [[Part_Primitives/it#Utilizzo|Part Primitive]].


== Example ==
== Example ==

Revision as of 22:17, 2 January 2024

Part Spirale

Posizione nel menu
Parte → Crea primitive → Spirale
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
0.14
Vedere anche
Part Primitive

Descrizione

Una Part Spirale è una forma parametrica che può essere creata con il comando Part Primitive . Nel sistema di coordinate definito dalla sua proprietà DatiPlacement, la spirale giace sul piano XY con il centro nell'origine e il punto iniziale sull'asse X. Si allarga girando in senso antiorario.

Utilizzo

Vedere Part Primitive.

Example

Part Spiral from the scripting example

A Part Spiral object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Spiral object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Spiral

  • DatiGrowth (Length): The distance between two consecutive turns of the spiral. The default is 1mm.
  • DatiRadius (Length): The start radius of the spiral, the distance between its center and its start point. Can be 0mm. The default is 1mm.
  • DatiRotations (QuantityConstraint): The number of rotations, or turns, of the spiral. The default is 2.
  • DatiSegment Length (QuantityConstraint): The number of turns per spiral subdivision. The default is 1, meaning each full turn of the spiral is a separate segment. Use 0 to suppress subdivision.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Spiral can be created with the addObject() method of the document:

spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
  • Where "mySpiral" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

spiral = doc.addObject("Part::Spiral", "mySpiral")
spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4
spiral.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()